Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.monte.media
Enum BufferFlag

    java.lang.Object
      java.lang.Enum<BufferFlag>
          org.monte.media.BufferFlag

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BufferFlag>

    public enum BufferFlag

extends java.lang.Enum<BufferFlag>

`BufferFlag`.

Version:
  $Id: BufferFlag.java 142 2012-01-12 22:14:09Z werner $
Author:
  Werner Randelshofer

Enum Constant Summary
`DISCARD` Indicates that the data in this buffer should be ignored.
`END_OF_MEDIA` Indicates that the data in this buffer is at the end of the media.
`KEYFRAME` Indicates that this Buffer holds an intra-coded picture, which can be decoded independently.
`PREFETCH` Indicates that the data in this buffer is used for initializing the decoding queue.
`SAME_DATA` Indicates that this buffer is known to have the same data as the previous buffer.

Method Summary
`static BufferFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BufferFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCARD

    public static final BufferFlag DISCARD

  Indicates that the data in this buffer should be ignored.

### KEYFRAME

    public static final BufferFlag KEYFRAME

  Indicates that this Buffer holds an intra-coded picture, which can be decoded independently.

### END_OF_MEDIA

    public static final BufferFlag END_OF_MEDIA

  Indicates that the data in this buffer is at the end of the media.

### PREFETCH

    public static final BufferFlag PREFETCH

  Indicates that the data in this buffer is used for initializing the decoding queue.

  This flag is used when the media time of a track is set to a non-keyframe sample. Thus decoding must start at a keyframe at an earlier time.

  Decoders should decode the buffer. Encoders and Multiplexers should discard the buffer.

### SAME_DATA

    public static final BufferFlag SAME_DATA

  Indicates that this buffer is known to have the same data as the previous buffer. This may improve encoding performance.

Method Detail

### values

    public static BufferFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BufferFlag c : BufferFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BufferFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD